Transaction (Mule ESB 2.2.1 API)
Keywords: org.mule.api.transaction.Transaction interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.transaction
Interface Transaction

All Known Implementing Classes:
  AbstractSingleResourceTransaction, AbstractTransaction, JdbcTransaction, JmsClientAcknowledgeTransaction, JmsTransaction, SpringTransactionFactory.SpringTransaction, VMTransaction, XaTransaction

    public interface Transaction

Field Summary
`static int` | `STATUS_ACTIVE`
`static int` | `STATUS_COMMITTED`
`static int` | `STATUS_COMMITTING`
`static int` | `STATUS_MARKED_ROLLBACK`
`static int` | `STATUS_NO_TRANSACTION`
`static int` | `STATUS_PREPARED`
`static int` | `STATUS_PREPARING`
`static int` | `STATUS_ROLLEDBACK`
`static int` | `STATUS_ROLLING_BACK`
`static int` | `STATUS_UNKNOWN`

Method Summary
`void` | `begin()` Begin the transaction.
`void` | `bindResource(Object key, Object resource)`
`void` | `commit()` Commit the transaction
`String` | `getId()`
`Object` | `getResource(Object key)`
`int` | `getStatus()`
`boolean` | `hasResource(Object key)`
`boolean` | `isBegun()`
`boolean` | `isCommitted()`
`boolean` | `isRollbackOnly()`
`boolean` | `isRolledBack()`
`boolean` | `isXA()`
`void` | `resume()` Resume the XA transaction
`void` | `rollback()` Rollback the transaction
`void` | `setRollbackOnly()`
`Transaction` | `suspend()` Suspend the XA transaction

Field Detail

### STATUS_ACTIVE

    static final int STATUS_ACTIVE

See Also:
  Constant Field Values

### STATUS_MARKED_ROLLBACK

    static final int STATUS_MARKED_ROLLBACK

See Also:
  Constant Field Values

### STATUS_PREPARED

    static final int STATUS_PREPARED

See Also:
  Constant Field Values

### STATUS_COMMITTED

    static final int STATUS_COMMITTED

See Also:
  Constant Field Values

### STATUS_ROLLEDBACK

    static final int STATUS_ROLLEDBACK

See Also:
  Constant Field Values

### STATUS_UNKNOWN

    static final int STATUS_UNKNOWN

See Also:
  Constant Field Values

### STATUS_NO_TRANSACTION

    static final int STATUS_NO_TRANSACTION

See Also:
  Constant Field Values

### STATUS_PREPARING

    static final int STATUS_PREPARING

See Also:
  Constant Field Values

### STATUS_COMMITTING

    static final int STATUS_COMMITTING

See Also:
  Constant Field Values

### STATUS_ROLLING_BACK

    static final int STATUS_ROLLING_BACK

See Also:
  Constant Field Values

Method Detail

### begin

    void begin()
               throws TransactionException

  Begin the transaction.

  Throws:
    `TransactionException`

### commit

    void commit()
                throws TransactionException

  Commit the transaction

  Throws:
    `TransactionException`

### rollback

    void rollback()
                  throws TransactionException

  Rollback the transaction

  Throws:
    `TransactionException`

### getStatus

    int getStatus()
                  throws TransactionException

  Throws:
    `TransactionException`

### isBegun

    boolean isBegun()
                    throws TransactionException

  Throws:
    `TransactionException`

### isRolledBack

    boolean isRolledBack()
                         throws TransactionException

  Throws:
    `TransactionException`

### isCommitted

    boolean isCommitted()
                        throws TransactionException

  Throws:
    `TransactionException`

### getResource

    Object getResource(Object key)

### hasResource

    boolean hasResource(Object key)

### bindResource

    void bindResource(Object key,
                      Object resource)
                      throws TransactionException

  Throws:
    `TransactionException`

### setRollbackOnly

    void setRollbackOnly()
                         throws TransactionException

  Throws:
    `TransactionException`

### isRollbackOnly

    boolean isRollbackOnly()
                           throws TransactionException

  Throws:
    `TransactionException`

### isXA

    boolean isXA()

### resume

    void resume()
                throws TransactionException

  Resume the XA transaction

  Throws:
    `TransactionException` - if any error

### suspend

    Transaction suspend()
                        throws TransactionException

  Suspend the XA transaction

  Returns:
  Throws:
    `TransactionException` - if any error

### getId

    String getId()

  Returns:
    TX identification.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.